﻿using ZeroLevel;

namespace BukiVedi
{
    public sealed class SleopokSettings
    {
        public string Path { get; set; }
    }
    public sealed class MongoDBConnection
    {
        public string ConnectionString { get; set; } = "mongodb://localhost:27017";
        public int WaitQueueLimit { get; set; } = 50000;
        public int MaxConnectionPoolSize { get; set; } = 5000;
    }
    public class AppSettings
    {
        public string LogFolder { get; set; } = "logs";
        public string EventDBName { get; set; } = "events.log";
        public MongoDBConnection MongoDB { get; set; } = new MongoDBConnection();
        public SleopokSettings Sleopok { get; set; } = new SleopokSettings();
        public string Login { get; set; }
        public string Password { get; set; }

        public string LibraryPath { get; set; }

        public static AppSettings Settings { get; } = Configuration.ReadSetFromIniFile("config.ini").Bind<AppSettings>();
    }
}
