﻿namespace BukiVedi.Shared.Models
{
    public class BookInfo
    {
        /// <summary>
        /// Идентификатор
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// Изображение(урл)
        /// </summary>
        public string ImageUrl { get; set; }
        /// <summary>
        /// Название
        /// </summary>
        public string Title { get; set; }
        /// <summary>
        /// Описание
        /// </summary>
        public string Description { get; set; }
        /// <summary>
        /// Заметка
        /// </summary>
        public string Note { get; set; }
        /// <summary>
        /// Авторы(массив объектов с полями id; имя автора)
        /// </summary>
        public AuthorInfo[] Authors { get; set; }
        /// <summary>
        /// Жанры(массив объектов с полями id; название жанра)
        /// </summary>
        public GenreInfo[] Genres { get; set; }
        /// <summary>
        /// Серия
        /// </summary>
        public string Series { get; set; }
        /// <summary>
        /// Подсерия
        /// </summary>
        public string Subseries { get; set; }
        /// <summary>
        /// Теги(массив объектов с полями id; имя тега)
        /// </summary>
        public IEnumerable<TagInfo> Tags { get; set; }
        /// <summary>
        /// Год издания
        /// </summary>
        public int Year { get; set; }
        /// <summary>
        /// Формат книги
        /// </summary>
        public string Format { get; set; }
        /// <summary>
        /// Книга заблокирована пользователем
        /// </summary>
        public bool IsBlocked { get; set; }
        /// <summary>
        /// Книга находится в избранном
        /// </summary>
        public bool IsFavorite { get; set; }
    }
}
